CommetCommet
GitHubDiscordStatus
Create feature POSTDelete feature DELETEGet feature access GETGet feature GETList feature access GETList features GETUpdate feature PATCH
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Get feature access

Get one feature's access and current usage for a customer. To evaluate a prospective consumption, use POST /usage/check.

GET
/feature-access/{code}

Get one feature's access and current usage for a customer. To evaluate a prospective consumption, use POST /usage/check.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

code*string

Query Parameters

customerId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/feature-access/string?customerId=string"
{  "code": "api_calls",  "name": "API Calls",  "unitName": "calls",  "type": "usage",  "allowed": true,  "consumption": {    "model": "metered",    "period": {      "start": "2026-09-07T12:00:00.000Z",      "end": "2026-10-07T12:00:00.000Z"    },    "unitsUsed": 250,    "includedUnits": 1000,    "remainingUnits": 750,    "unlimited": false,    "overage": {      "enabled": false,      "units": 0    }  },  "object": "feature_access",  "livemode": false}
{  "error": {    "type": "validation_error",    "code": "validation_error",    "message": "The request contains an invalid parameter.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/validation_error.md"  }}
{  "error": {    "type": "authentication_error",    "code": "unauthorized",    "message": "A valid API key is required.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/unauthorized.md"  }}
{  "error": {    "type": "authentication_error",    "code": "forbidden",    "message": "You do not have permission to perform this operation.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/forbidden.md"  }}
{  "error": {    "type": "not_found_error",    "code": "not_found",    "message": "The requested resource was not found.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/not_found.md"  }}
{  "error": {    "type": "rate_limit_error",    "code": "rate_limited",    "message": "Too many requests. Retry after the interval specified in the Retry-After header.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/rate_limited.md"  }}
{  "error": {    "type": "internal_error",    "code": "internal_error",    "message": "An unexpected error occurred while processing the request.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/internal_error.md"  }}

Delete feature DELETE

Delete a feature. Fails if the feature is attached to active plans or has an active add-on.

Get feature GET

Get a single feature definition by code from the organization's feature catalog.